:root{
    --green: #27ae60;
    --black: #444;
    --light-color: #777;
    --bg-color: #e6e6e6;
    --border: .1rem solid rgba(0,0,0,.2);
    --box-shadow: .4rem .4rem 1rem #ccc,
                  -.4rem -.4rem 1rem #fff;
    --box-shadow-inset: .4rem .4rem 1rem #ccc inset,
                  -.4rem -.4rem 1rem #fff inset;
}


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    outline: none; border: none;
    text-decoration: none;
    text-transform: capitalize;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

body{
    background: var(--bg-color);
    padding-left: 30rem;
}

body.active{
    --black: #fff;
    --light-color: #ddd;
    --bg-color: #222;
    --border: .1rem solid rgba(0,0,0,.4);
    --box-shadow: .4rem .4rem 1rem #111,
                  -.4rem -.4rem 1rem #333;
    --box-shadow-inset: .4rem .4rem 1rem #111 inset,
                  -.4rem -.4rem 1rem #333 inset;
}
section{
    min-height: 100vh;
    padding: 2rem;
}

.btn{
    margin-top: 1rem;
    display: inline-block;
    padding: 1rem 3.5rem;
    border-radius: .5rem;
    font-size: 1.7rem;
    cursor: pointer;
    color: var(--black);
    box-shadow: var(--box-shadow);
}

.btn:hover{
    box-shadow: var(--box-shadow-inset);
    color: var(--green);
}

.heading{
    text-align: center;
    font-size: 5rem;
    color: var(--black);
    padding: 2rem;
    text-transform: uppercase;
}

.heading span{
    color: var(--green);
    text-transform: uppercase;
}

.header{
    position: fixed;
    top: 0; left: 0;
    z-index: 999;
    background: var(--bg-color);
    width: 30rem;
    border-right: var(--border);
    height: 100%;
    padding: 2rem;
    text-align: center;
}

.header .user img{
    margin: 1rem 0;
    border: 1rem solid transparent;
    border-radius: 50%;
    height: 18rem;
    width: 18rem;
    box-shadow: var(--box-shadow);
}

.header .user h3{
    color: var(--black);
    font-size: 1.5rem;
    margin-bottom: 1rem;
}

.header .user p{
    color: var(--green);
    font-size: 1.5rem;
}

.header .navbar{
    padding-top: 1rem;

}

.header .navbar a{
    display: block;
    margin: 1.5rem 0;
    padding: .7rem;
    border-radius: 5rem;
    font-size: 1.5rem;
    box-shadow: var(--box-shadow);
    color: var(--black);
}

.header .navbar a:hover{
    box-shadow: var(--box-shadow-inset);
}

#menu-btn{
    position: fixed;
    top: 1.5rem; left: 2rem;
    z-index: 999;
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    border-radius: 50%;
    font-size: 2rem;
    cursor: pointer;
    box-shadow: var(--box-shadow);
    text-align: center;
    color: var(--black);
    background: var(--bg-color);
    display: none;
}

#menu-btn:hover{
    color: var(--green);
    box-shadow: var(--box-shadow-inset);
}

#theme-toggler{
    position: fixed;
    top: 1.5rem; right: 2rem;
    z-index: 999;
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    border-radius: 50%;
    font-size: 2rem;
    cursor: pointer;
    box-shadow: var(--box-shadow);
    text-align: center;
    color: var(--black);
    background: var(--bg-color);
}

#theme-toggler:hover{
    color: var(--green);
    box-shadow: var(--box-shadow-inset);
}

.home{
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.home .content h3{
    font-size: 4rem;
    color: var(--black);
    line-height: 1.1;
    text-transform: uppercase;
}

.home .content p{
    font-size: 2rem;
    color: var(--green);
    padding-bottom: .5rem;
}

.home .share{
    position: relative;
    top: 10rem;
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    padding: 1rem;
}

.home .share a{
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    box-shadow: var(--box-shadow);
    margin: .5rem;
    font-size: 2rem;
    color: var(--black);
}

.home .share a:hover{
    box-shadow: var(--box-shadow-inset);
    color: var(--green);
}

.about .intro{
    text-align: center;
}

.about .intro h3{
    color: var(--black);
    font-size: 2.5rem;
    font-weight: normal;
}

.about .intro h3 span{
    color: var(--green);
}

.about .intro p{
    font-size: 1.5em;
    color: var(--light-color);
}
.about .progress{
    margin-top: 3rem;
}

.skill-btn{
    color: var(--green);
    box-shadow: var(--box-shadow);
    margin: 1rem 40%;
    display: inline-block;
    padding: 1rem 6rem;
    font-size: 2rem;
    border-radius: .5rem;
}

.about .progress h3{
    display: flex;
    justify-content: space-between;
    color: var(--black);
    font-weight: normal;
    font-size: 2rem;
}
.about .progress .bar{
    box-shadow: var(--box-shadow);
    border-radius: 5rem;
    height: 2rem;
    padding: .5rem;
    margin: 1rem 0;
}

.about .progress .bar span{
    display: block;
    height: 100%;
    background: var(--green);
    border-radius: 5rem;
    width: 80%;
}

.about .progress .bar-1-1 span{
    width: 95%;
}

.about .progress .bar-1-2 span{
    width: 75%;
}

.about .progress .bar-1-3 span{
    width: 90%;
}

.about .progress .bar-2-1 span{
    width: 95%;
}

.about .progress .bar-2-2 span{
    width: 90%;
}

.about .progress .bar-2-3 span{
    width: 75%;
}

.about .progress .bar-2-4 span{
    width: 80%;
}

.about .progress .bar-2-5 span{
    width: 90%;
}

.about .progress .bar-2-6 span{
    width: 90%;
}

.services .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 2rem;
}

.services .box-container .box{
    padding: 2rem;
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    position: relative;
    z-index: 0;
    overflow: hidden;
}

.services .box-container .box i{
    font-size: 4rem;
    padding-bottom: 1rem;
    color: #fff;
}

.services .box-container .box h3{
    font-size: 2rem;
    padding-bottom: 1rem;
    color: var(--black);
}

.services .box-container .box p{
    font-size: 1.4rem;
    line-height: 1.8;
    color: var(--light-color);
}

.services .box-container .box::before{
    content: '';
    position: absolute;
    top: 0; left: 0;
    height: 100%;
    width: 100%;
    background: var(--green);
    z-index: -1;
    clip-path: circle(7rem at 5% 0%);
    transition: .3s linear;
}

.services .box-container .box:hover::before{
    clip-path: circle(100%);
}

.services .box-container .box:hover > *{
    color: #fff;
}

.portfolio .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 2rem;
}

.portfolio .box-container .box{
    height: 25rem;
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    position: relative;
    overflow: hidden;
    border: 1rem solid transparent;
    cursor: pointer;
}

.portfolio .box-container .box img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.portfolio .box-container .box .content{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: var(--bg-color);
    display: grid;
    place-items: center;
    transform: scale(0);
}

.portfolio .box-container .box:hover .content{
    transform: scale(1);
}

.portfolio .box-container .box .content h3{
    font-size: 2rem;
    color: var(--black);
    text-transform: uppercase;
    transform: translateY(-5rem);
    opacity: 0;
    transition-delay: .3s;
}

.portfolio .box-container .box:hover .content h3{
    transform: translateY(0rem);
    opacity: 1;
}

/*---- Contact Section-----*/

.contact form{
    margin: 1rem auto;
    max-width: 70rem;
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    padding: 2rem;
}

.contact form .box{
    padding: 1rem 1.5rem;
    width: 100%;
    background: none;
    color: var(--black);
    font-size: 1.6rem;
    text-transform: none;
    margin: .7rem 0;
    box-shadow: var(--box-shadow);
    border-radius: .5rem;
}

.contact form textarea{
    height: 20rem;
    resize: none;
}

.contact form .box:focus{
    box-shadow: var(--box-shadow-inset);
}





















@media (max-width:768px){
    html{
        font-size: 55%;
    }

    body{
        padding-left: 0;
    }

    .header{
        left: -110%;
    }

    .header.active{
        left: 0%;
        transition: .4s linear;
    }

    #menu-btn{
        display: initial;
    }
}

@media (max-width:450px){
    html{
        font-size: 50%;
    }

    .header{
        width: 100%;
    }
}